/* 
 * load.h 
 *
 * Copyright 2003 by Stewart Gebbie
 * For license terms, see the file COPYING in the top directory.
 */
#ifndef CUNIT_LOAD_H
#define CUNIT_LOAD_H

#include <libcunit/world.h>

typedef struct utest_suitelib_tag
{
	utest_suite* suite;
	void* handle;
} utest_suitelib;


utest_suite* LoadSuite (const char* tpath, utest_suitelib* sl);
void UnloadSuite (utest_suitelib* sl);

void AddSuite (utest_world* world, const char* libpath);
bool FilterSuite (utest_world* world, utest_suite* suite);
int CountTests (utest_suite *suite);


#endif /* CUNIT_LOAD_H */
