/* CUnitTester http://www.gethos.net/opensource/cunit
 * world.c -- top level context information containing stats and suites
 *
 * Copyright 2003 by Stewart Gebbie
 * For license terms, see the file COPYING in the top directory.
 */
/* $Id: world_timers.c,v 1.1 2004/12/23 08:45:50 stewart Exp $ */
#include "config.h"
#include "unittester.h"

#include <sys/time.h>
#include <stdlib.h>
#include <stdio.h>

#include "world.h"
#include "info.h"

void InitWorldTimers (utest_world* world)
{
	/* set timers */
	struct timeval tv;
	gettimeofday(&tv, NULL);
	world->secStart = tv.tv_sec;
	world->usecStart = tv.tv_usec;
}


void FiniWorldTimers (utest_world* world)
{
	/* final timers */
	struct timeval tv;
	gettimeofday(&tv, NULL);
	world->secEnd = tv.tv_sec;
	world->usecEnd = tv.tv_usec;
}
