/* CUnitTester http://www.gethos.net/opensource/cunit
 * compile.c -- builds a list of suites and tests
 *
 * Copyright 2003 by Stewart Gebbie
 * For license terms, see the file COPYING in the top directory.
 */
/* $Id: compile.c,v 1.8 2004/12/23 10:33:00 stewart Exp $ */
#include "config.h"
#include "unittester.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include <alloca.h>
#include <dirent.h>
#include <fnmatch.h>
#include <sys/types.h>
#include <sys/stat.h>

#include "load.h"
#include "compile.h"
#include "show.h"
#include "recursedir.h"


/*
 * Compiling:
 * search for DSOs with names of the form libtest....so and 
 * add the test suites and to the world
 */

void CompileWorld (utest_world* world)
{
	ShowPreCompile(world);
	RecurseDir(world, world->rootDir?world->rootDir:".", 0);
	ShowPostCompile(world);
}
